﻿@inherits FolderControlsViewModel

<div class="row no-margin no-padding">
  <div class="col-12 no-margin no-padding">
    <div class="row no-margin no-padding">
      @*NOTE:
        1) если используется disabled, то обязательно надо указывать тип кнопки
        2) надо реверсить CanDelete, потому что:
            true -> disabled is on
            false -> disabled is off*@

      <button class="btn btn-block btn-primary"
              type="button"
              disabled="@(!CanBeDeleted)"
              onclick="@OnDeleteAsync">
        Удалить
      </button>
    </div>
    <div class="row no-margin no-padding up-margin">
      <div class="col-6 no-margin no-padding">
        <button class="btn btn-block btn-primary"
                onclick="@OnAddDocument">
          Добавить документ
        </button>
      </div>
      <div class="col-6 no-margin no-padding">
        <button class="btn btn-block btn-primary"
                onclick="@OnAddProduct">
          Добавить изделие
        </button>
      </div>
    </div>
  </div>
</div>
